package com.bookstore.web;

import com.bookstore.Book;
import com.bookstore.BookRepository;
import com.bookstore.JDBC;
import java.io.IOException;
import java.text.SimpleDateFormat;
import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet("/book")
public class BookEditorServlet extends HttpServlet {

     @Inject @JDBC
    private BookRepository bookRepo;
    private SimpleDateFormat dateFormat = new SimpleDateFormat("MM/dd/yyyy");

    @Override
    protected void doGet(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {

        // On récupère le paramètre id
        String id = request.getParameter("id");

        if (id != null && !id.isEmpty()) {
            // Allons chercher le livre correspondant à l'id
            Book book = bookRepo.lookupBookById(id);
            // On met le livre dans la reqête
            request.setAttribute("book", book);
            // Et la date de publication aussi
            request.setAttribute("bookPubDate", dateFormat.format(book.getPubDate()));
        }

        /* On appelle la JSP pour affichage du formulaire */
        getServletContext().getRequestDispatcher("/book-form.jsp").forward(
                request, response);
    }
}